// PNCOMDemo.idl : IDL source for PNCOMDemo.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (PNCOMDemo.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";
	[
		object,
		uuid(26787533-58DC-11D4-A013-080009EE62AA),
		dual,
		helpstring("IClock Interface"),
		pointer_default(unique)
	]
	interface IClock : IDispatch
	{
		[propget, id(1), helpstring("property Time")] HRESULT Time([out, retval] BSTR *pVal);
		[propget, id(2), helpstring("property AMPM")] HRESULT AMPM([out, retval] BOOL *pVal);
		[propput, id(2), helpstring("property AMPM")] HRESULT AMPM([in] BOOL newVal);
	};

[
	uuid(26787526-58DC-11D4-A013-080009EE62AA),
	version(1.0),
	helpstring("PNCOMDemo 1.0 Type Library")
]
library PNCOMDEMOLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(26787534-58DC-11D4-A013-080009EE62AA),
		helpstring("Clock Class")
	]
	coclass Clock
	{
		[default] interface IClock;
	};
};
